Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.query
Interface AggregateListener

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  JDBCAggregateListener

public interface AggregateListener
extends Serializable

An aggregate listener aggregates data produced by a JDOQL query.

Method Summary
`Object` | `evaluate(Collection args, Collection candidates, KodoPersistenceManager pm)` Return the value of this aggregate.
`boolean` | `expectsArgument()` Return whether this function expects to act on an argument.
`String` | `getTag()` Return the tag that this listener listens for.

Method Detail

### getTag

    public String getTag()

  Return the tag that this listener listens for.

### expectsArgument

    public boolean expectsArgument()

  Return whether this function expects to act on an argument. Some function may not need arguments; for example, a function to count the number of objects that match a given filter might be of the form: `count()`.

### evaluate

    public Object evaluate(Collection args,
                           Collection candidates,
                           KodoPersistenceManager pm)

  Return the value of this aggregate.
  Parameters:
    `args` - for each candidate, the value of the argument to the function; will be null if this aggregate does not expect an argument
    `candidates` - the candidate objects being evaluated
    `pm` - a persistence manager to use if needed
  Returns:
    the value of the aggregate
  Throws:
    `JDOUserException` - if this aggregate does not support in-memory operation

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.